<?xml version="1.0" encoding="UTF-8"?>
<!-- Generated by Fujitsu Interstage XWand B0255 -->
<linkbase xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd" xmlns:italgas="http://italgas.it/2025-12-31" xmlns="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink">
  <labelLink xlink:type="extended" xlink:role="http://www.xbrl.org/2003/role/link">
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInOperations" xlink:label="ifrs-full_CashFlowsFromUsedInOperations"/>
    <label xlink:type="resource" xlink:label="label_italgas_ifrs-fullCashFlowsFromUsedInOperations_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xml:lang="it" id="italgas_ifrs-fullCashFlowsFromUsedInOperations_Total">Flusso di cassa netto da attività operativa</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_CashFlowsFromUsedInOperations" xlink:to="label_italgas_ifrs-fullCashFlowsFromUsedInOperations_Total" priority="100" order="1.0"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInFinancingActivities"/>
    <label xlink:type="resource" xlink:label="label_italgas_ifrs-fullCashFlowsFromUsedInFinancingActivities_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xml:lang="it" id="italgas_ifrs-fullCashFlowsFromUsedInFinancingActivities_Total">Flusso di cassa netto da attività di finanziamento</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="label_italgas_ifrs-fullCashFlowsFromUsedInFinancingActivities_Total" priority="100" order="1.0"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInIncreaseDecreaseInCurrentBorrowings" xlink:label="ifrs-full_CashFlowsFromUsedInIncreaseDecreaseInCurrentBorrowings"/>
    <label xlink:type="resource" xlink:label="label_italgas_ifrs-fullCashFlowsFromUsedInIncreaseDecreaseInCurrentBorrowings_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xml:lang="it" id="italgas_ifrs-fullCashFlowsFromUsedInIncreaseDecreaseInCurrentBorrowings_Total">Incremento (decremento) di debiti finanziari a breve termine</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_CashFlowsFromUsedInIncreaseDecreaseInCurrentBorrowings" xlink:to="label_italgas_ifrs-fullCashFlowsFromUsedInIncreaseDecreaseInCurrentBorrowings_Total" priority="100" order="1.0"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInInvestingActivities"/>
    <label xlink:type="resource" xlink:label="label_italgas_ifrs-fullCashFlowsFromUsedInInvestingActivities_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xml:lang="it" id="italgas_ifrs-fullCashFlowsFromUsedInInvestingActivities_Total">Flusso di cassa netto da attività di investimento</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="label_italgas_ifrs-fullCashFlowsFromUsedInInvestingActivities_Total" priority="100" order="1.0"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_FinanceIncomeCost" xlink:label="ifrs-full_FinanceIncomeCost"/>
    <label xlink:type="resource" xlink:label="label_italgas_ifrs-fullFinanceIncomeCost_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xml:lang="it" id="italgas_ifrs-fullFinanceIncomeCost_Total">PROVENTI (ONERI) SU PARTECIPAZIONI</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_FinanceIncomeCost" xlink:to="label_italgas_ifrs-fullFinanceIncomeCost_Total" priority="100" order="1.0"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:label="ifrs-full_IncreaseDecreaseInCashAndCashEquivalents"/>
    <label xlink:type="resource" xlink:label="label_italgas_ifrs-fullIncreaseDecreaseInCashAndCashEquivalents_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xml:lang="it" id="italgas_ifrs-fullIncreaseDecreaseInCashAndCashEquivalents_Total">Flusso di cassa netto dell’esercizio</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:to="label_italgas_ifrs-fullIncreaseDecreaseInCashAndCashEquivalents_Total" priority="100" order="1.0"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_RevenueAndOperatingIncome" xlink:label="ifrs-full_RevenueAndOperatingIncome"/>
    <label xlink:type="resource" xlink:label="label_italgas_ifrs-fullRevenueAndOperatingIncome_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xml:lang="it" id="italgas_ifrs-fullRevenueAndOperatingIncome_Total">COSTI OPERATIVI</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_RevenueAndOperatingIncome" xlink:to="label_italgas_ifrs-fullRevenueAndOperatingIncome_Total" priority="100" order="1.0"/>
    <loc xlink:type="locator" xlink:href="815600F25FF44EF1FA76-2025-12-31.xsd#italgas_StatementOfCashFlowsTable" xlink:label="italgas_StatementOfCashFlowsTable"/>
    <label xlink:type="resource" xlink:label="label_italgas_StatementOfCashFlowsTable" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="it" id="italgas_StatementOfCashFlowsTable">Rendiconto finanziario [table]</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="italgas_StatementOfCashFlowsTable" xlink:to="label_italgas_StatementOfCashFlowsTable" order="1.0"/>
    <loc xlink:type="locator" xlink:href="815600F25FF44EF1FA76-2025-12-31.xsd#italgas_StatementOfCashFlowsLineItems" xlink:label="italgas_StatementOfCashFlowsLineItems"/>
    <label xlink:type="resource" xlink:label="label_StatementOfCashFlowsLineItems" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="it" id="StatementOfCashFlowsLineItems">Rendiconto finanziario [line items]</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="italgas_StatementOfCashFlowsLineItems" xlink:to="label_StatementOfCashFlowsLineItems" order="1.0"/>
    <loc xlink:type="locator" xlink:href="815600F25FF44EF1FA76-2025-12-31.xsd#italgas_AdjustmentsForEffectOfValuationUsingTheEquityMethod" xlink:label="AdjustmentsForEffectOfValuationUsingTheEquityMethod" xlink:title="AdjustmentsForEffectOfValuationUsingTheEquityMethod"/>
    <label xlink:type="resource" xlink:label="label_AdjustmentsForEffectOfValuationUsingTheEquityMethod" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_AdjustmentsForEffectOfValuationUsingTheEquityMethod" xml:lang="it" id="label_AdjustmentsForEffectOfValuationUsingTheEquityMethod">Effetto valutazione con il metodo del patrimonio netto</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AdjustmentsForEffectOfValuationUsingTheEquityMethod" xlink:to="label_AdjustmentsForEffectOfValuationUsingTheEquityMethod" xlink:title="label: AdjustmentsForEffectOfValuationUsingTheEquityMethod to label_AdjustmentsForEffectOfValuationUsingTheEquityMethod"/>
    <loc xlink:type="locator" xlink:href="815600F25FF44EF1FA76-2025-12-31.xsd#italgas_OtherIncomeExpenseFromEquityInvestments" xlink:label="OtherIncomeExpenseFromEquityInvestments" xlink:title="OtherIncomeExpenseFromEquityInvestments"/>
    <label xlink:type="resource" xlink:label="label_OtherIncomeExpenseFromEquityInvestments" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_OtherIncomeExpenseFromEquityInvestments" xml:lang="it" id="label_OtherIncomeExpenseFromEquityInvestments">Altri proventi (oneri) su partecipazioni</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OtherIncomeExpenseFromEquityInvestments" xlink:to="label_OtherIncomeExpenseFromEquityInvestments" xlink:title="label: OtherIncomeExpenseFromEquityInvestments to label_OtherIncomeExpenseFromEquityInvestments"/>
    <loc xlink:type="locator" xlink:href="815600F25FF44EF1FA76-2025-12-31.xsd#italgas_OtherRevenueAndIncome" xlink:label="OtherRevenueAndIncome" xlink:title="OtherRevenueAndIncome"/>
    <label xlink:type="resource" xlink:label="label_OtherRevenueAndIncome" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_OtherRevenueAndIncome" xml:lang="it" id="label_OtherRevenueAndIncome">Altri ricavi e proventi</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OtherRevenueAndIncome" xlink:to="label_OtherRevenueAndIncome" xlink:title="label: OtherRevenueAndIncome to label_OtherRevenueAndIncome"/>
    <loc xlink:type="locator" xlink:href="815600F25FF44EF1FA76-2025-12-31.xsd#italgas_ChangeInPayablesAndReceivablesForInvestments" xlink:label="ChangeInPayablesAndReceivablesForInvestments" xlink:title="ChangeInPayablesAndReceivablesForInvestments"/>
    <label xlink:type="resource" xlink:label="label_ChangeInPayablesAndReceivablesForInvestments" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_ChangeInPayablesAndReceivablesForInvestments" xml:lang="it" id="label_ChangeInPayablesAndReceivablesForInvestments">Variazione debiti e crediti relativi all’attività di investimento</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ChangeInPayablesAndReceivablesForInvestments" xlink:to="label_ChangeInPayablesAndReceivablesForInvestments" xlink:title="label: ChangeInPayablesAndReceivablesForInvestments to label_ChangeInPayablesAndReceivablesForInvestments"/>
    <loc xlink:type="locator" xlink:href="815600F25FF44EF1FA76-2025-12-31.xsd#italgas_StatementOfComprehensiveIncomeTable" xlink:label="italgas_StatementOfComprehensiveIncomeTable"/>
    <label xlink:type="resource" xlink:label="label_italgas_StatementOfComprehensiveIncomeTable" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="it" id="italgas_StatementOfComprehensiveIncomeTable">Prospetto di conto economico complessivo [table]</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="italgas_StatementOfComprehensiveIncomeTable" xlink:to="label_italgas_StatementOfComprehensiveIncomeTable" order="1.0"/>
    <loc xlink:type="locator" xlink:href="815600F25FF44EF1FA76-2025-12-31.xsd#italgas_StatementOfFinancialPositionLineItems" xlink:label="italgas_StatementOfFinancialPositionLineItems"/>
    <label xlink:type="resource" xlink:label="label_StatementOfFinancialPositionLineItems" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="it" id="StatementOfFinancialPositionLineItems">Prospetto della situazione patrimoniale-finanziaria [line items]</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="italgas_StatementOfFinancialPositionLineItems" xlink:to="label_StatementOfFinancialPositionLineItems" order="1.0"/>
    <loc xlink:type="locator" xlink:href="815600F25FF44EF1FA76-2025-12-31.xsd#italgas_RepaymentsOfNonCurrentFinancialDebts" xlink:label="RepaymentsOfNonCurrentFinancialDebts" xlink:title="RepaymentsOfNonCurrentFinancialDebts"/>
    <label xlink:type="resource" xlink:label="label_RepaymentsOfNonCurrentFinancialDebts" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_RepaymentsOfNonCurrentFinancialDebts" xml:lang="it" id="label_RepaymentsOfNonCurrentFinancialDebts">Rimborso di debiti finanziari non correnti</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RepaymentsOfNonCurrentFinancialDebts" xlink:to="label_RepaymentsOfNonCurrentFinancialDebts" xlink:title="label: RepaymentsOfNonCurrentFinancialDebts to label_RepaymentsOfNonCurrentFinancialDebts"/>
    <loc xlink:type="locator" xlink:href="815600F25FF44EF1FA76-2025-12-31.xsd#italgas_Reserves" xlink:label="Reserves" xlink:title="Reserves"/>
    <label xlink:type="resource" xlink:label="label_Reserves" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_Reserves" xml:lang="it" id="label_Reserves">Riserve</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="Reserves" xlink:to="label_Reserves" xlink:title="label: Reserves to label_Reserves"/>
    <loc xlink:type="locator" xlink:href="815600F25FF44EF1FA76-2025-12-31.xsd#italgas_StatementOfComprehensiveIncomeLineItems" xlink:label="italgas_StatementOfComprehensiveIncomeLineItems"/>
    <label xlink:type="resource" xlink:label="label_StatementOfComprehensiveIncomeLineItems" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="it" id="StatementOfComprehensiveIncomeLineItems">Prospetto di conto economico complessivo [line items]</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="italgas_StatementOfComprehensiveIncomeLineItems" xlink:to="label_StatementOfComprehensiveIncomeLineItems" order="1.0"/>
    <loc xlink:type="locator" xlink:href="815600F25FF44EF1FA76-2025-12-31.xsd#italgas_CurrentFinancialAssetsExcludingOtherCurrentFinancialAssets" xlink:label="CurrentFinancialAssetsExcludingOtherCurrentFinancialAssets" xlink:title="CurrentFinancialAssetsExcludingOtherCurrentFinancialAssets"/>
    <label xlink:type="resource" xlink:label="label_CurrentFinancialAssetsExcludingOtherCurrentFinancialAssets" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_CurrentFinancialAssetsExcludingOtherCurrentFinancialAssets" xml:lang="it" id="label_CurrentFinancialAssetsExcludingOtherCurrentFinancialAssets">Altre Attività Correnti Non Finanziare</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CurrentFinancialAssetsExcludingOtherCurrentFinancialAssets" xlink:to="label_CurrentFinancialAssetsExcludingOtherCurrentFinancialAssets" xlink:title="label: CurrentFinancialAssetsExcludingOtherCurrentFinancialAssets to label_CurrentFinancialAssetsExcludingOtherCurrentFinancialAssets"/>
    <loc xlink:type="locator" xlink:href="815600F25FF44EF1FA76-2025-12-31.xsd#italgas_CoreBusinessRevenue" xlink:label="CoreBusinessRevenue" xlink:title="CoreBusinessRevenue"/>
    <label xlink:type="resource" xlink:label="label_CoreBusinessRevenue" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_CoreBusinessRevenue" xml:lang="it" id="label_CoreBusinessRevenue">Ricavi della gestione caratteristica</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CoreBusinessRevenue" xlink:to="label_CoreBusinessRevenue" xlink:title="label: CoreBusinessRevenue to label_CoreBusinessRevenue"/>
    <loc xlink:type="locator" xlink:href="815600F25FF44EF1FA76-2025-12-31.xsd#italgas_ProfitOrLossLineItems" xlink:label="italgas_ProfitOrLossLineItems"/>
    <label xlink:type="resource" xlink:label="label_ProfitOrLossLineItems" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="it" id="ProfitOrLossLineItems">Utile o perdita [line items]</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="italgas_ProfitOrLossLineItems" xlink:to="label_ProfitOrLossLineItems" order="1.0"/>
    <loc xlink:type="locator" xlink:href="815600F25FF44EF1FA76-2025-12-31.xsd#italgas_ConsolidationReserveMember" xlink:label="ConsolidationReserveMember" xlink:title="ConsolidationReserveMember"/>
    <label xlink:type="resource" xlink:label="label_ConsolidationReserveMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_ConsolidationReserveMember" xml:lang="it" id="label_ConsolidationReserveMember">Riserva di consolidamento [member]</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ConsolidationReserveMember" xlink:to="label_ConsolidationReserveMember" xlink:title="label: ConsolidationReserveMember to label_ConsolidationReserveMember"/>
    <loc xlink:type="locator" xlink:href="815600F25FF44EF1FA76-2025-12-31.xsd#italgas_PortionOfRetainedEarningRelatingToThePeriod" xlink:label="PortionOfRetainedEarningRelatingToThePeriod" xlink:title="PortionOfRetainedEarningRelatingToThePeriod"/>
    <label xlink:type="resource" xlink:label="label_PortionOfRetainedEarningRelatingToThePeriod" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_PortionOfRetainedEarningRelatingToThePeriod" xml:lang="it" id="label_PortionOfRetainedEarningRelatingToThePeriod">Utile (perdita) dell'esercizio</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PortionOfRetainedEarningRelatingToThePeriod" xlink:to="label_PortionOfRetainedEarningRelatingToThePeriod" xlink:title="label: PortionOfRetainedEarningRelatingToThePeriod to label_PortionOfRetainedEarningRelatingToThePeriod"/>
    <loc xlink:type="locator" xlink:href="815600F25FF44EF1FA76-2025-12-31.xsd#italgas_RetainedEarningsExcludingNetProfitLossForThePeriodMember" xlink:label="RetainedEarningsExcludingNetProfitLossForThePeriodMember" xlink:title="RetainedEarningsExcludingNetProfitLossForThePeriodMember"/>
    <label xlink:type="resource" xlink:label="label_RetainedEarningsExcludingNetProfitLossForThePeriodMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_RetainedEarningsExcludingNetProfitLossForThePeriodMember" xml:lang="it" id="label_RetainedEarningsExcludingNetProfitLossForThePeriodMember">Utili (perdite) a nuovo [member]</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RetainedEarningsExcludingNetProfitLossForThePeriodMember" xlink:to="label_RetainedEarningsExcludingNetProfitLossForThePeriodMember" xlink:title="label: RetainedEarningsExcludingNetProfitLossForThePeriodMember to label_RetainedEarningsExcludingNetProfitLossForThePeriodMember"/>
    <loc xlink:type="locator" xlink:href="815600F25FF44EF1FA76-2025-12-31.xsd#italgas_RetainedEarningsExcludingNetProfitLossForThePeriod" xlink:label="RetainedEarningsExcludingNetProfitLossForThePeriod" xlink:title="RetainedEarningsExcludingNetProfitLossForThePeriod"/>
    <label xlink:type="resource" xlink:label="label_RetainedEarningsExcludingNetProfitLossForThePeriod" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_RetainedEarningsExcludingNetProfitLossForThePeriod" xml:lang="it" id="label_RetainedEarningsExcludingNetProfitLossForThePeriod">Utili (perdite) a nuovo</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RetainedEarningsExcludingNetProfitLossForThePeriod" xlink:to="label_RetainedEarningsExcludingNetProfitLossForThePeriod" xlink:title="label: RetainedEarningsExcludingNetProfitLossForThePeriod to label_RetainedEarningsExcludingNetProfitLossForThePeriod"/>
    <loc xlink:type="locator" xlink:href="815600F25FF44EF1FA76-2025-12-31.xsd#italgas_StatementOfFinancialPositionTable" xlink:label="italgas_StatementOfFinancialPositionTable"/>
    <label xlink:type="resource" xlink:label="label_italgas_StatementOfFinancialPositionTable" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="it" id="italgas_StatementOfFinancialPositionTable">Prospetto della situazione patrimoniale-finanziaria [table]</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="italgas_StatementOfFinancialPositionTable" xlink:to="label_italgas_StatementOfFinancialPositionTable" order="1.0"/>
    <loc xlink:type="locator" xlink:href="815600F25FF44EF1FA76-2025-12-31.xsd#italgas_PortionOfRetainedEarningRelatingToThePeriodMember" xlink:label="PortionOfRetainedEarningRelatingToThePeriodMember" xlink:title="PortionOfRetainedEarningRelatingToThePeriodMember"/>
    <label xlink:type="resource" xlink:label="label_PortionOfRetainedEarningRelatingToThePeriodMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_PortionOfRetainedEarningRelatingToThePeriodMember" xml:lang="it" id="label_PortionOfRetainedEarningRelatingToThePeriodMember">Utile (perdita) dell'esercizio [member]</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PortionOfRetainedEarningRelatingToThePeriodMember" xlink:to="label_PortionOfRetainedEarningRelatingToThePeriodMember" xlink:title="label: PortionOfRetainedEarningRelatingToThePeriodMember to label_PortionOfRetainedEarningRelatingToThePeriodMember"/>
    <loc xlink:type="locator" xlink:href="815600F25FF44EF1FA76-2025-12-31.xsd#italgas_OtherIncomeFromEquityInvestmentsi" xlink:label="OtherIncomeFromEquityInvestmentsi" xlink:title="OtherIncomeFromEquityInvestmentsi"/>
    <label xlink:type="resource" xlink:label="label_OtherIncomeFromEquityInvestmentsi" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_OtherIncomeFromEquityInvestmentsi" xml:lang="it" id="label_OtherIncomeFromEquityInvestmentsi">Altri proventi su partecipazioni</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OtherIncomeFromEquityInvestmentsi" xlink:to="label_OtherIncomeFromEquityInvestmentsi" xlink:title="label: OtherIncomeFromEquityInvestmentsi to label_OtherIncomeFromEquityInvestmentsi"/>
    <loc xlink:type="locator" xlink:href="815600F25FF44EF1FA76-2025-12-31.xsd#italgas_ProfitOrLossTable" xlink:label="italgas_ProfitOrLossTable"/>
    <label xlink:type="resource" xlink:label="label_italgas_ProfitOrLossTable" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="it" id="italgas_ProfitOrLossTable">Utile o perdita [table]</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="italgas_ProfitOrLossTable" xlink:to="label_italgas_ProfitOrLossTable" order="1.0"/>
    <loc xlink:type="locator" xlink:href="815600F25FF44EF1FA76-2025-12-31.xsd#italgas_CostsForTheUseOfThirdPartyAssets" xlink:label="CostsForTheUseOfThirdPartyAssets" xlink:title="CostsForTheUseOfThirdPartyAssets"/>
    <label xlink:type="resource" xlink:label="label_CostsForTheUseOfThirdPartyAssets" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_CostsForTheUseOfThirdPartyAssets" xml:lang="it" id="label_CostsForTheUseOfThirdPartyAssets">Costi per godimento beni di terzi</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CostsForTheUseOfThirdPartyAssets" xlink:to="label_CostsForTheUseOfThirdPartyAssets" xlink:title="label: CostsForTheUseOfThirdPartyAssets to label_CostsForTheUseOfThirdPartyAssets"/>
    <loc xlink:type="locator" xlink:href="815600F25FF44EF1FA76-2025-12-31.xsd#italgas_ThirdPartiesMember" xlink:label="ThirdPartiesMember" xlink:title="ThirdPartiesMember"/>
    <label xlink:type="resource" xlink:label="label_ThirdPartiesMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_ThirdPartiesMember" xml:lang="it" id="label_ThirdPartiesMember">Terze Parti [member]</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ThirdPartiesMember" xlink:to="label_ThirdPartiesMember" xlink:title="label: ThirdPartiesMember to label_ThirdPartiesMember"/>
    <loc xlink:type="locator" xlink:href="815600F25FF44EF1FA76-2025-12-31.xsd#italgas_InvestmentsInChangeInScopeOfConsolidationAndBusinessUnits" xlink:label="InvestmentsInChangeInScopeOfConsolidationAndBusinessUnits" xlink:title="InvestmentsInChangeInScopeOfConsolidationAndBusinessUnits"/>
    <label xlink:type="resource" xlink:label="label_InvestmentsInChangeInScopeOfConsolidationAndBusinessUnits" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_InvestmentsInChangeInScopeOfConsolidationAndBusinessUnits" xml:lang="it" id="label_InvestmentsInChangeInScopeOfConsolidationAndBusinessUnits">Aggregazioni aziendali, al netto delle disponibilità liquide acquisite</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="InvestmentsInChangeInScopeOfConsolidationAndBusinessUnits" xlink:to="label_InvestmentsInChangeInScopeOfConsolidationAndBusinessUnits" xlink:title="label: InvestmentsInChangeInScopeOfConsolidationAndBusinessUnits to label_InvestmentsInChangeInScopeOfConsolidationAndBusinessUnits"/>
    <loc xlink:type="locator" xlink:href="815600F25FF44EF1FA76-2025-12-31.xsd#italgas_AssumptionsRepaymentsOfLongTermFinancialDebt" xlink:label="AssumptionsRepaymentsOfLongTermFinancialDebt" xlink:title="AssumptionsRepaymentsOfLongTermFinancialDebt"/>
    <label xlink:type="resource" xlink:label="label_AssumptionsRepaymentsOfLongTermFinancialDebt" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_AssumptionsRepaymentsOfLongTermFinancialDebt" xml:lang="it" id="label_AssumptionsRepaymentsOfLongTermFinancialDebt">Assunzione di debiti finanziari a non correnti</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AssumptionsRepaymentsOfLongTermFinancialDebt" xlink:to="label_AssumptionsRepaymentsOfLongTermFinancialDebt" xlink:title="label: AssumptionsRepaymentsOfLongTermFinancialDebt to label_AssumptionsRepaymentsOfLongTermFinancialDebt"/>
    <loc xlink:type="locator" xlink:href="815600F25FF44EF1FA76-2025-12-31.xsd#italgas_EffectOfValuationUsingTheEquityMethod" xlink:label="EffectOfValuationUsingTheEquityMethod" xlink:title="EffectOfValuationUsingTheEquityMethod"/>
    <label xlink:type="resource" xlink:label="label_EffectOfValuationUsingTheEquityMethod" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_EffectOfValuationUsingTheEquityMethod" xml:lang="it" id="label_EffectOfValuationUsingTheEquityMethod">Effetto valutazione con il metodo del patrimonio netto</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="EffectOfValuationUsingTheEquityMethod" xlink:to="label_EffectOfValuationUsingTheEquityMethod" xlink:title="label: EffectOfValuationUsingTheEquityMethod to label_EffectOfValuationUsingTheEquityMethod"/>
    <loc xlink:type="locator" xlink:href="815600F25FF44EF1FA76-2025-12-31.xsd#italgas_AltreComponentiNonRiclassificabiliContoEconomicoAlNettoDelleImposte" xlink:label="AltreComponentiNonRiclassificabiliContoEconomicoAlNettoDelleImposte" xlink:title="AltreComponentiNonRiclassificabiliContoEconomicoAlNettoDelleImposte"/>
    <label xlink:type="resource" xlink:label="label_AltreComponentiNonRiclassificabiliContoEconomicoAlNettoDelleImposte" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_AltreComponentiNonRiclassificabiliContoEconomicoAlNettoDelleImposte" xml:lang="it" id="label_AltreComponentiNonRiclassificabiliContoEconomicoAlNettoDelleImposte">Altre Componenti Non Riclassficabili Conto Economico al Netto delle Imposte</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AltreComponentiNonRiclassificabiliContoEconomicoAlNettoDelleImposte" xlink:to="label_AltreComponentiNonRiclassificabiliContoEconomicoAlNettoDelleImposte" xlink:title="label: AltreComponentiNonRiclassificabiliContoEconomicoAlNettoDelleImposte to label_AltreComponentiNonRiclassificabiliContoEconomicoAlNettoDelleImposte"/>
    <loc xlink:type="locator" xlink:href="815600F25FF44EF1FA76-2025-12-31.xsd#italgas_RiservaDaValutazioneAlFairValueDiPartecipazioni" xlink:label="RiservaDaValutazioneAlFairValueDiPartecipazioni" xlink:title="RiservaDaValutazioneAlFairValueDiPartecipazioni"/>
    <label xlink:type="resource" xlink:label="label_RiservaDaValutazioneAlFairValueDiPartecipazioni" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_RiservaDaValutazioneAlFairValueDiPartecipazioni" xml:lang="it" id="label_RiservaDaValutazioneAlFairValueDiPartecipazioni">Riserva da valutazione al fair value di partecipazioni</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RiservaDaValutazioneAlFairValueDiPartecipazioni" xlink:to="label_RiservaDaValutazioneAlFairValueDiPartecipazioni" xlink:title="label: RiservaDaValutazioneAlFairValueDiPartecipazioni to label_RiservaDaValutazioneAlFairValueDiPartecipazioni"/>
    <loc xlink:type="locator" xlink:href="815600F25FF44EF1FA76-2025-12-31.xsd#italgas_CapogruppoMember" xlink:label="CapogruppoMember" xlink:title="CapogruppoMember"/>
    <label xlink:type="resource" xlink:label="label_CapogruppoMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_CapogruppoMember" xml:lang="it" id="label_CapogruppoMember">Capogruppo [member]</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CapogruppoMember" xlink:to="label_CapogruppoMember" xlink:title="label: CapogruppoMember to label_CapogruppoMember"/>
    <loc xlink:type="locator" xlink:href="815600F25FF44EF1FA76-2025-12-31.xsd#italgas_ValutazionePartecipazioniFairValue" xlink:label="ValutazionePartecipazioniFairValue" xlink:title="ValutazionePartecipazioniFairValue"/>
    <label xlink:type="resource" xlink:label="label_ValutazionePartecipazioniFairValue" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_ValutazionePartecipazioniFairValue" xml:lang="it" id="label_ValutazionePartecipazioniFairValue">Valutazione Partecipazioni al Fair Value</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ValutazionePartecipazioniFairValue" xlink:to="label_ValutazionePartecipazioniFairValue" xlink:title="label: ValutazionePartecipazioniFairValue to label_ValutazionePartecipazioniFairValue"/>
    <loc xlink:type="locator" xlink:href="815600F25FF44EF1FA76-2025-12-31.xsd#italgas_ValutazionePartecipazioniFairValue" xlink:label="ValutazionePartecipazioniFairValue_2" xlink:title="ValutazionePartecipazioniFairValue"/>
    <label xlink:type="resource" xlink:label="label_ValutazionePartecipazioniFairValue_2" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_ValutazionePartecipazioniFairValue" xml:lang="en" id="label_ValutazionePartecipazioniFairValue_2">Fair Value Measurement of Equity Investments</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ValutazionePartecipazioniFairValue_2" xlink:to="label_ValutazionePartecipazioniFairValue_2" xlink:title="label: ValutazionePartecipazioniFairValue to label_ValutazionePartecipazioniFairValue"/>
    <loc xlink:type="locator" xlink:href="815600F25FF44EF1FA76-2025-12-31.xsd#italgas_DisclosureOfCurrentFinancialAssetsExcludingOtherCurrentFinancialAssets" xlink:label="DisclosureOfCurrentFinancialAssetsExcludingOtherCurrentFinancialAssets" xlink:title="DisclosureOfCurrentFinancialAssetsExcludingOtherCurrentFinancialAssets"/>
    <label xlink:type="resource" xlink:label="label_DisclosureOfCurrentFinancialAssetsExcludingOtherCurrentFinancialAssets" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_DisclosureOfCurrentFinancialAssetsExcludingOtherCurrentFinancialAssets" xml:lang="it" id="label_DisclosureOfCurrentFinancialAssetsExcludingOtherCurrentFinancialAssets">Informazioni integrative sulle altre attività correnti non finanziare</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfCurrentFinancialAssetsExcludingOtherCurrentFinancialAssets" xlink:to="label_DisclosureOfCurrentFinancialAssetsExcludingOtherCurrentFinancialAssets" xlink:title="label: DisclosureOfCurrentFinancialAssetsExcludingOtherCurrentFinancialAssets to label_DisclosureOfCurrentFinancialAssetsExcludingOtherCurrentFinancialAssets"/>
    <loc xlink:type="locator" xlink:href="815600F25FF44EF1FA76-2025-12-31.xsd#italgas_DisclosureOfCurrentFinancialAssetsExcludingOtherCurrentFinancialAssets" xlink:label="DisclosureOfCurrentFinancialAssetsExcludingOtherCurrentFinancialAssets_2" xlink:title="DisclosureOfCurrentFinancialAssetsExcludingOtherCurrentFinancialAssets"/>
    <label xlink:type="resource" xlink:label="label_DisclosureOfCurrentFinancialAssetsExcludingOtherCurrentFinancialAssets_2" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_DisclosureOfCurrentFinancialAssetsExcludingOtherCurrentFinancialAssets" xml:lang="en" id="label_DisclosureOfCurrentFinancialAssetsExcludingOtherCurrentFinancialAssets_2">Disclosure of current financial assets excluding other current financial assets</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfCurrentFinancialAssetsExcludingOtherCurrentFinancialAssets_2" xlink:to="label_DisclosureOfCurrentFinancialAssetsExcludingOtherCurrentFinancialAssets_2" xlink:title="label: DisclosureOfCurrentFinancialAssetsExcludingOtherCurrentFinancialAssets to label_DisclosureOfCurrentFinancialAssetsExcludingOtherCurrentFinancialAssets"/>
    <loc xlink:type="locator" xlink:href="815600F25FF44EF1FA76-2025-12-31.xsd#italgas_DisclosureOfNoncurrentFinancialAssets" xlink:label="DisclosureOfNoncurrentFinancialAssets" xlink:title="DisclosureOfNoncurrentFinancialAssets"/>
    <label xlink:type="resource" xlink:label="label_DisclosureOfNoncurrentFinancialAssets" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_DisclosureOfNoncurrentFinancialAssets" xml:lang="en" id="label_DisclosureOfNoncurrentFinancialAssets">Disclosure of non-current financial assets</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfNoncurrentFinancialAssets" xlink:to="label_DisclosureOfNoncurrentFinancialAssets" xlink:title="label: DisclosureOfNoncurrentFinancialAssets to label_DisclosureOfNoncurrentFinancialAssets"/>
    <loc xlink:type="locator" xlink:href="815600F25FF44EF1FA76-2025-12-31.xsd#italgas_DisclosureOfNoncurrentFinancialAssets" xlink:label="DisclosureOfNoncurrentFinancialAssets_2" xlink:title="DisclosureOfNoncurrentFinancialAssets"/>
    <label xlink:type="resource" xlink:label="label_DisclosureOfNoncurrentFinancialAssets_2" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_DisclosureOfNoncurrentFinancialAssets" xml:lang="it" id="label_DisclosureOfNoncurrentFinancialAssets_2">Informazioni integrative sulle attività finanziarie non correnti</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfNoncurrentFinancialAssets_2" xlink:to="label_DisclosureOfNoncurrentFinancialAssets_2" xlink:title="label: DisclosureOfNoncurrentFinancialAssets to label_DisclosureOfNoncurrentFinancialAssets"/>
    <loc xlink:type="locator" xlink:href="815600F25FF44EF1FA76-2025-12-31.xsd#italgas_IncreaseDecreaseThroughSharebasedPaymentToEmployees" xlink:label="IncreaseDecreaseThroughSharebasedPaymentToEmployees" xlink:title="IncreaseDecreaseThroughSharebasedPaymentToEmployees"/>
    <label xlink:type="resource" xlink:label="label_IncreaseDecreaseThroughSharebasedPaymentToEmployees" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_IncreaseDecreaseThroughSharebasedPaymentToEmployees" xml:lang="it" id="label_IncreaseDecreaseThroughSharebasedPaymentToEmployees">Aumento (diminuzione) a seguito di assegnazione di azione a dipendenti</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="IncreaseDecreaseThroughSharebasedPaymentToEmployees" xlink:to="label_IncreaseDecreaseThroughSharebasedPaymentToEmployees" xlink:title="label: IncreaseDecreaseThroughSharebasedPaymentToEmployees to label_IncreaseDecreaseThroughSharebasedPaymentToEmployees"/>
    <loc xlink:type="locator" xlink:href="815600F25FF44EF1FA76-2025-12-31.xsd#italgas_IncreaseDecreaseThroughSharebasedPaymentToEmployees" xlink:label="IncreaseDecreaseThroughSharebasedPaymentToEmployees_2" xlink:title="IncreaseDecreaseThroughSharebasedPaymentToEmployees"/>
    <label xlink:type="resource" xlink:label="label_IncreaseDecreaseThroughSharebasedPaymentToEmployees_2" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_IncreaseDecreaseThroughSharebasedPaymentToEmployees" xml:lang="en" id="label_IncreaseDecreaseThroughSharebasedPaymentToEmployees_2">Increase (decrease) through the allocation of shares to employees</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="IncreaseDecreaseThroughSharebasedPaymentToEmployees_2" xlink:to="label_IncreaseDecreaseThroughSharebasedPaymentToEmployees_2" xlink:title="label: IncreaseDecreaseThroughSharebasedPaymentToEmployees to label_IncreaseDecreaseThroughSharebasedPaymentToEmployees"/>
    <loc xlink:type="locator" xlink:href="815600F25FF44EF1FA76-2025-12-31.xsd#italgas_CapitalContributionsFromThirdParties" xlink:label="CapitalContributionsFromThirdParties" xlink:title="CapitalContributionsFromThirdParties"/>
    <label xlink:type="resource" xlink:label="label_CapitalContributionsFromThirdParties" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_CapitalContributionsFromThirdParties" xml:lang="it" id="label_CapitalContributionsFromThirdParties">Apporti di capitale da terzi </label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CapitalContributionsFromThirdParties" xlink:to="label_CapitalContributionsFromThirdParties" xlink:title="label: CapitalContributionsFromThirdParties to label_CapitalContributionsFromThirdParties"/>
    <loc xlink:type="locator" xlink:href="815600F25FF44EF1FA76-2025-12-31.xsd#italgas_CapitalContributionsFromThirdParties" xlink:label="CapitalContributionsFromThirdParties_2" xlink:title="CapitalContributionsFromThirdParties"/>
    <label xlink:type="resource" xlink:label="label_CapitalContributionsFromThirdParties_2" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_CapitalContributionsFromThirdParties" xml:lang="en" id="label_CapitalContributionsFromThirdParties_2">Capital contributions from third parties</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CapitalContributionsFromThirdParties_2" xlink:to="label_CapitalContributionsFromThirdParties_2" xlink:title="label: CapitalContributionsFromThirdParties to label_CapitalContributionsFromThirdParties"/>
    <loc xlink:type="locator" xlink:href="815600F25FF44EF1FA76-2025-12-31.xsd#italgas_PurchaseOfFinancialInstrumentsClassifiedAsInvestingActivitiesNotStrumental" xlink:label="PurchaseOfFinancialInstrumentsClassifiedAsInvestingActivitiesNotStrumental" xlink:title="PurchaseOfFinancialInstrumentsClassifiedAsInvestingActivitiesNotStrumental"/>
    <label xlink:type="resource" xlink:label="label_PurchaseOfFinancialInstrumentsClassifiedAsInvestingActivitiesNotStrumental" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_PurchaseOfFinancialInstrumentsClassifiedAsInvestingActivitiesNotStrumental" xml:lang="it" id="label_PurchaseOfFinancialInstrumentsClassifiedAsInvestingActivitiesNotStrumental">Acquisto di strumenti finanziari non strumentali, classificato come attività di investimento</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PurchaseOfFinancialInstrumentsClassifiedAsInvestingActivitiesNotStrumental" xlink:to="label_PurchaseOfFinancialInstrumentsClassifiedAsInvestingActivitiesNotStrumental" xlink:title="label: PurchaseOfFinancialInstrumentsClassifiedAsInvestingActivitiesNotStrumental to label_PurchaseOfFinancialInstrumentsClassifiedAsInvestingActivitiesNotStrumental"/>
    <loc xlink:type="locator" xlink:href="815600F25FF44EF1FA76-2025-12-31.xsd#italgas_PurchaseOfFinancialInstrumentsClassifiedAsInvestingActivitiesNotStrumental" xlink:label="PurchaseOfFinancialInstrumentsClassifiedAsInvestingActivitiesNotStrumental_2" xlink:title="PurchaseOfFinancialInstrumentsClassifiedAsInvestingActivitiesNotStrumental"/>
    <label xlink:type="resource" xlink:label="label_PurchaseOfFinancialInstrumentsClassifiedAsInvestingActivitiesNotStrumental_2" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_PurchaseOfFinancialInstrumentsClassifiedAsInvestingActivitiesNotStrumental" xml:lang="en" id="label_PurchaseOfFinancialInstrumentsClassifiedAsInvestingActivitiesNotStrumental_2">Purchase of financial instruments not strumental, classified as investing activities</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PurchaseOfFinancialInstrumentsClassifiedAsInvestingActivitiesNotStrumental_2" xlink:to="label_PurchaseOfFinancialInstrumentsClassifiedAsInvestingActivitiesNotStrumental_2" xlink:title="label: PurchaseOfFinancialInstrumentsClassifiedAsInvestingActivitiesNotStrumental to label_PurchaseOfFinancialInstrumentsClassifiedAsInvestingActivitiesNotStrumental"/>
  </labelLink>
</linkbase>
